baseURL: http://fosscat.com/
languageCode: en-us
title: Foss Cat
theme: "PaperMod"
params:
  env: production
  defaultTheme: dark
  homeInfoParams:
    Title: Hello weary traveler
    Content: This is my personal blog. I write about open source, technology, philosophy, digital privacy, and whatever else is pressing on my mind. Feel free to reach out over email, tom@fosscat.com
  ShowShareButtons: false
  ShowReadingTime: true
  ShowToc: true  # Table of Contents
  ShowBreadCrumbs: true
  ShowCodeCopyButtons: true
  ShowPostNavLinks: true
  author: Tom Cat
  fuseOpts: # This modifies search params
    isCaseSensitive: false
    shouldSort: true
    location: 0
    distance: 1000
    threshold: 0.4
    minMatchCharLength: 2
    keys: ["title", "permalink", "summary", "tags", "content"]
  assets:
    disableHLJS: true
  cover:
    responsiveImages: true  # disable to speed up build times at cost of responsive sizes
  editPost:
    URL: "https://git.fosscat.com/tom/fosscat-site/src/branch/main/content"
    Text: "Suggest Changes" # edit text
    appendFilePath: true # to append file path to Edit link
enableEmoji: true
outputs:
  home:
    - HTML
    - RSS
    - JSON
menu:
  main:
    - identifier: search
      name: search
      url: /search/
      weight: 1
    - identifier: tags
      name: tags
      url: /tags/
      weight: 2
taxonomies:
  tag: tags
markup:
  highlight:
    tabWidth: 2
    codeFences: true
    guessSyntax: true
    lineNos: false
    noClasses: false
    style: dracula